Skip to main content

Create a timesheet whitelist

POST 

/api/timesheet-whitelists

Adds a person to the timesheet whitelist of a project.

warning

Adding people to the project whitelist takes effect only if the whitelist is enabled for the project. Check here whether the whitelist is enabled for your project.

Required permissions:

  • pipeline.edit: allows managing the timesheet whitelist of projects where the user is the PM or the Account.
  • pipeline.edit_other: allows managing the timesheet whitelist of projects where the user is not the PM nor the Account.

Request

Header Parameters

    Wethod-Company stringrequired

    The company you want to interact with

    Wethod-Version stringrequired

    The API version you want to use

Body

    project_id integerrequired

    ID of the project whose timesheet whitelist the person is added to

    person_id integerrequired

    ID of the person to add to the timesheet whitelist

Responses

Returns the timesheet whitelist created.

Schema

    id integerrequired

    Possible values: >= 1

    The unique identifier of the resource

    created_at date-timerequired

    The date and time when the resource was created

    updated_at date-timerequired

    The date and time when the resource was last updated

    project_id integerrequired

    Possible values: >= 1

    ID of the project to which the timesheet whitelist belongs

    person_id integerrequired

    Possible values: >= 1

    ID of the whitelisted person

Loading...